<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
    <style>
        
    </style>
</head>
<body>
    <div class="loginmodel">
        <div class="container">
            <span><label for="check" class="cross"><i class="fa-solid fa-xmark"></i></label>
            </span>
            <h1 class="login">Login</h1>
            <form id="loginForm">
                <div class="box box1">
                    <div><label for="user">Username</label></div>
                    <input id="log1" type="text" placeholder="Email address or phone number"/>
                    <span><i class="fa-solid fa-user"></i></span>
                </div>
                <div class="box box2">
                    <div><label for="Password">Password</label></div>
                    <input id="log2" type="password" placeholder="Password"/>
                    <span><i class="fa-solid fa-lock"></i></span>
                </div>
                <div class="remember">
                    <input  id="checkb" type="checkbox">
                    <label class="me">Remember me</label>
                    <a id="Forgottenaccount" href=# target="_blank">Forgotten account?</a>
                </div>
                <div class="box box3"><button type="button" onclick="task()">Login</button></div>
                <div class="register">
                    <label class="have">Don't have a account?</label>
                    <a id="Signup" href=# target="_blank"> Sign up</a>
                </div>
            </form>
        </div>       
    </div>
    <script>
        function task(){
            const username = document.getElementById("log1").value;
            const password = document.getElementById("log2").value;

            if(username.trim() === '' || password.trim() === '') {
                alert("Please fill in both username and password fields.");
            } else if (password.length < 8) {
                alert("Password must be at least 8 characters long.");
            } else if (!/[!@#$%^&*(),.?":{}|<>]/.test(password)) {
                alert("Password must contain at least one special character.");
            } else {
                alert("Login successful!");
            }
        }
    </script>
</body>
</html>
